<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db2.EfficiencyDetailMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db2.EfficiencyDetail">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_name" property="createName" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_name" property="modifyName" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="district_id" property="districtId" />
        <result column="property_id" property="propertyId" />
        <result column="agent_id" property="agentId" />
        <result column="district_name" property="districtName" />
        <result column="property_name" property="propertyName" />
        <result column="agent_name" property="agentName" />
        <result column="user_id" property="userId" />
        <result column="user_name" property="userName" />
        <result column="mobile" property="mobile" />
        <result column="app_role" property="appRole" />
        <result column="statistics_start_time" property="statisticsStartTime" />
        <result column="statistics_end_time" property="statisticsEndTime" />
        <result column="distributi_count" property="distributiCount" />
        <result column="accept_count" property="acceptCount" />
        <result column="accept_percent" property="acceptPercent" />
        <result column="confirm_timing_total" property="confirmTimingTotal" />
        <result column="transfer_timing_total" property="transferTimingTotal" />
        <result column="work_timing_total" property="workTimingTotal" />
        <result column="wage_hour_total" property="wageHourTotal" />
        <result column="point_total" property="pointTotal" />
        <result column="check_point" property="checkPoint" />
        <result column="result_point" property="resultPoint" />
        <result column="confirm_timing_ave" property="confirmTimingAve" />
        <result column="transfer_timing_ave" property="transferTimingAve" />
        <result column="work_timing_ave" property="workTimingAve" />
        <result column="wage_hour_ave" property="wageHourAve" />
        <result column="on_time_count" property="onTimeCount" />
        <result column="time_out_count" property="timeOutCount" />
        <result column="unfinish_count" property="unfinishCount" />
        <result column="finish_percent" property="finishPercent" />
        <result column="salary_total" property="salaryTotal" />
        <result column="recording_id" property="recordingId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_name, create_time, modify_id, modify_name, modify_time, soft_delete, district_id, property_id, agent_id, district_name, property_name, agent_name, user_id, user_name, mobile, app_role, statistics_start_time, statistics_end_time, distributi_count, accept_count, accept_percent, confirm_timing_total, transfer_timing_total, work_timing_total, wage_hour_total, point_total, check_point, result_point, confirm_timing_ave, transfer_timing_ave, work_timing_ave, wage_hour_ave, on_time_count, time_out_count, unfinish_count, finish_percent, salary_total, recording_id
    </sql>

</mapper>
